curl -X GET "https://nunu.ai/api/v1/project/your-project-id/jobs?status=running&tags=nightly,regression&page=0&page_size=10" \
-H "X-Api-Key: YOUR_API_TOKEN"
{
"data": [
{
"job_id": "f80f6230-3a4f-431a-9d55-d11b867fed4e",
"project_id": "test",
"status": "COMPLETED",
"created_at": "2026-03-03T15:50:19.544603+00:00",
"completed_at": "2026-03-03T15:54:24.463635+00:00",
"multiplayer_test_id": "a5060a07-d386-4279-98ce-b33fb884201e",
"test_name": "ftue",
"platform": "lt_phone",
"build_id": null,
"test_plan_execution_id": null,
"queue_rejection_reason": null,
"templating_enabled": true,
"stopped_by": null,
"tags": ["ftue"],
"retries": {
"total": 0,
"remaining": 0
},
"runs": [
{
"multiplayer_run_id": "lkkg6t5612m",
"state": "COMPLETED",
"result": "SUCCESS",
"started_at": "2026-03-03T15:50:23.601048+00:00",
"completed_at": "2026-03-03T15:54:24.261038+00:00",
"players": 1
}
]
}
],
"pagination": {
"page": 0,
"page_size": 10,
"total_count": 1,
"total_pages": 1
}
}
Jobs
List Jobs
Retrieve a paginated list of jobs for your project.
GET
/
project
/
{projectId}
/
jobs
curl -X GET "https://nunu.ai/api/v1/project/your-project-id/jobs?status=running&tags=nightly,regression&page=0&page_size=10" \
-H "X-Api-Key: YOUR_API_TOKEN"
{
"data": [
{
"job_id": "f80f6230-3a4f-431a-9d55-d11b867fed4e",
"project_id": "test",
"status": "COMPLETED",
"created_at": "2026-03-03T15:50:19.544603+00:00",
"completed_at": "2026-03-03T15:54:24.463635+00:00",
"multiplayer_test_id": "a5060a07-d386-4279-98ce-b33fb884201e",
"test_name": "ftue",
"platform": "lt_phone",
"build_id": null,
"test_plan_execution_id": null,
"queue_rejection_reason": null,
"templating_enabled": true,
"stopped_by": null,
"tags": ["ftue"],
"retries": {
"total": 0,
"remaining": 0
},
"runs": [
{
"multiplayer_run_id": "lkkg6t5612m",
"state": "COMPLETED",
"result": "SUCCESS",
"started_at": "2026-03-03T15:50:23.601048+00:00",
"completed_at": "2026-03-03T15:54:24.261038+00:00",
"players": 1
}
]
}
],
"pagination": {
"page": 0,
"page_size": 10,
"total_count": 1,
"total_pages": 1
}
}
Permission Required:
project:read-runsQuery Parameters
string
default:"all"
Filter by status:
queued, running, completed, or allstring
Filter by test plan execution ID
string
Filter by test ID
string
Filter by tags (comma-separated). All specified tags must match. Example:
tags=release,candidateinteger
default:"0"
Page number (0-indexed)
integer
default:"20"
Results per page (1-100)
Response
Job[]
required
Array of job objects
Job Object
string
required
Unique identifier for the job
string
required
Project the job belongs to
string
required
Job status:
QUEUED, STARTING, RUNNING, STOPPING, CLEANING_UP, or COMPLETEDstring
required
ISO 8601 timestamp when the job was created
string
ISO 8601 timestamp when the job completed
string
required
Test ID associated with this job
string
Test name, if available
string
Target platform, if available
string
Build ID used for this job
string
Test plan execution ID, if job was started from a test plan
string
Queue rejection reason, if the job was rejected
boolean
required
Whether test templating was enabled
object
Template variables used for this job
object
Who stopped this job, if it was stopped
string[]
required
Tags associated with this job
RunSummary[]
required
curl -X GET "https://nunu.ai/api/v1/project/your-project-id/jobs?status=running&tags=nightly,regression&page=0&page_size=10" \
-H "X-Api-Key: YOUR_API_TOKEN"
{
"data": [
{
"job_id": "f80f6230-3a4f-431a-9d55-d11b867fed4e",
"project_id": "test",
"status": "COMPLETED",
"created_at": "2026-03-03T15:50:19.544603+00:00",
"completed_at": "2026-03-03T15:54:24.463635+00:00",
"multiplayer_test_id": "a5060a07-d386-4279-98ce-b33fb884201e",
"test_name": "ftue",
"platform": "lt_phone",
"build_id": null,
"test_plan_execution_id": null,
"queue_rejection_reason": null,
"templating_enabled": true,
"stopped_by": null,
"tags": ["ftue"],
"retries": {
"total": 0,
"remaining": 0
},
"runs": [
{
"multiplayer_run_id": "lkkg6t5612m",
"state": "COMPLETED",
"result": "SUCCESS",
"started_at": "2026-03-03T15:50:23.601048+00:00",
"completed_at": "2026-03-03T15:54:24.261038+00:00",
"players": 1
}
]
}
],
"pagination": {
"page": 0,
"page_size": 10,
"total_count": 1,
"total_pages": 1
}
}
Authorizations
API key for authentication
Path Parameters
The project ID. You can copy it from the project settings page or the project URL in the dashboard.
Query Parameters
Filter by job status
Available options:
queued, running, completed, all Filter by test plan execution ID
Filter by test ID
Filter by tags (comma-separated). All specified tags must match.
Page number (0-indexed)
Results per page (1-100)
Required range:
1 <= x <= 100